Add trap and cleanup for SIGTERM sent by timeout and SIGINT from keyboard, for the test times out and leaves incoherent network stack.
Fixes: cab14d1087d9b ("selftests: Add version of router_multipath.sh using nexthop objects") Cc: David Ahern dsahern@gmail.com Cc: Ido Schimmel idosch@nvidia.com Cc: netdev@vger.kernel.org --- tools/testing/selftests/net/forwarding/router_mpath_nh.sh | 2 +- 1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/tools/testing/selftests/net/forwarding/router_mpath_nh.sh b/tools/testing/selftests/net/forwarding/router_mpath_nh.sh index a0d612e04990..0580519ab6d1 100755 --- a/tools/testing/selftests/net/forwarding/router_mpath_nh.sh +++ b/tools/testing/selftests/net/forwarding/router_mpath_nh.sh @@ -414,7 +414,7 @@ if [ $? -ne 0 ]; then exit $ksft_skip fi
-trap cleanup EXIT +trap cleanup INT TERM EXIT
setup_prepare setup_wait